# OpenML dataset: Bike_Sharing_Demand

https://www.openml.org/d/42713

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: Hadi Fanaee-T and Joao Gama  
**Source**: [original](http://archive.ics.uci.edu/ml/datasets/Bike+Sharing+Dataset) - 01-01-2013  
**Please cite**: Fanaee-T, Hadi, and Gama, Joao, Event labeling combining ensemble detectors and background knowledge, Progress in Artificial Intelligence (2013): pp. 1-15  

Bike sharing systems are new generation of traditional bike rentals where whole process from membership, rental and return 
back has become automatic. Through these systems, user is able to easily rent a bike from a particular position and return 
back at another position. Currently, there are about over 500 bike-sharing programs around the world which is composed of 
over 500 thousands bicycles. Today, there exists great interest in these systems due to their important role in traffic, 
environmental and health issues. 

Apart from interesting real world applications of bike sharing systems, the characteristics of data being generated by
these systems make them attractive for the research. Opposed to other transport services such as bus or subway, the duration
of travel, departure and arrival position is explicitly recorded in these systems. This feature turns bike sharing system into
a virtual sensor network that can be used for sensing mobility in the city. Hence, it is expected that most of important
events in the city could be detected via monitoring these data.

Bike-sharing rental process is highly correlated to the environmental and seasonal settings. For instance, weather conditions,
precipitation, day of week, season, hour of the day, etc. can affect the rental behaviors. The core data set is related to  
the two-year historical log corresponding to years 2011 and 2012 from Capital Bikeshare system, Washington D.C., USA which is 
publicly available in http://capitalbikeshare.com/system-data. We aggregated the data on two hourly and daily basis and then 
extracted and added the corresponding weather and seasonal information. Weather information are extracted from http://www.freemeteo.com. 

Use of this dataset in publications must be cited to the following publication:
Fanaee-T, Hadi, and Gama, Joao, "Event labeling combining ensemble detectors and background knowledge", 
Progress in Artificial Intelligence (2013): pp. 1-15, Springer Berlin Heidelberg, doi:10.1007/s13748-013-0040-3.

Attributes:  
- season : season (1:spring, 2:summer, 3:fall, 4:winter)  
- yr : year (0: 2011, 1:2012)  
- mnth : month ( 1 to 12)  
- hr : hour (0 to 23)  
- holiday : weather day is holiday or not (extracted from http://dchr.dc.gov/page/holiday-schedule)  
- weekday : day of the week  
- workingday : if day is neither weekend nor holiday is 1, otherwise is 0.  
- weathersit:  
    - 1: Clear, Few clouds, Partly cloudy, Partly cloudy
    - 2: Mist + Cloudy, Mist + Broken clouds, Mist + Few clouds, Mist
    - 3: Light Snow, Light Rain + Thunderstorm + Scattered clouds, Light Rain + Scattered clouds
    - 4: Heavy Rain + Ice Pallets + Thunderstorm + Mist, Snow + Fog  
- temp : Normalized temperature in Celsius. The values are divided to 41 (max)  
- atemp: Normalized feeling temperature in Celsius. The values are divided to 50 (max)  
- hum: Normalized humidity. The values are divided to 100 (max)  
- windspeed: Normalized wind speed. The values are divided to 67 (max)  
- casual: count of casual users  
- registered: count of registered users  
- cnt: count of total rental bikes including both casual and registered  

This version was cleaned up up by Joaquin Vanschoren:  
- Category labels replaced by category names (season, weathersit, year)  
- Turned back normalization for temperature and windspeed for interpretability  
- Renamed features for readability  
- Note: the correct order of the seasons seems to be ['summer', 'winter', 'spring', 'fall']

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/42713) of an [OpenML dataset](https://www.openml.org/d/42713). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/42713/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/42713/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/42713/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

